Product Group Link - List By Product
Visar en samling grupplänkar som är associerade med en produkt.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/products/{productId}/groupLinks?api-version=2024-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/products/{productId}/groupLinks?$filter={$filter}&$top={$top}&$skip={$skip}&api-version=2024-05-01
URI-parametrar
| Name | I | Obligatorisk | Typ | Description |
|---|---|---|---|---|
|
product
|
path | True |
string minLength: 1maxLength: 256 |
Produktidentifierare. Måste vara unikt i den aktuella API Management-tjänstinstansen. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Namnet på resursgruppen. Namnet är skiftlägesokänsligt. |
|
service
|
path | True |
string minLength: 1maxLength: 50 pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$ |
Namnet på API Management-tjänsten. |
|
subscription
|
path | True |
string (uuid) |
ID för målprenumerationen. Värdet måste vara ett UUID. |
|
api-version
|
query | True |
string minLength: 1 |
DEN API-version som ska användas för den här åtgärden. |
|
$filter
|
query |
string |
| Fält | Användning | Operatorer som stöds | Funktioner som stöds | |
|
|
$skip
|
query |
integer (int32) minimum: 0 |
Antal poster att hoppa över. |
|
|
$top
|
query |
integer (int32) minimum: 1 |
Antal poster som ska returneras. |
Svar
| Name | Typ | Description |
|---|---|---|
| 200 OK |
Svarstexten innehåller en samling grupplänkentiteter i produkten. |
|
| Other Status Codes |
Felsvar som beskriver varför åtgärden misslyckades. |
Säkerhet
azure_auth
Azure Active Directory OAuth2-flöde.
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name | Description |
|---|---|
| user_impersonation | personifiera ditt användarkonto |
Exempel
ApiManagementListProductGroupLinks
Exempelbegäran
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/products/product1/groupLinks?api-version=2024-05-01
Exempelsvar
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/products/product1/groupLinks/link1",
"type": "Microsoft.ApiManagement/service/products/groupLinks",
"name": "link1",
"properties": {
"groupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/groups/group1"
}
}
],
"count": 1,
"nextLink": ""
}
Definitioner
| Name | Description |
|---|---|
|
Error |
Ytterligare information om resurshanteringsfelet. |
|
Error |
Felinformationen. |
|
Error |
Felsvar |
|
Product |
Länklisterepresentation för paged Product-group. |
|
Product |
Produktgruppslänkinformation. |
ErrorAdditionalInfo
Ytterligare information om resurshanteringsfelet.
| Name | Typ | Description |
|---|---|---|
| info |
object |
Ytterligare information. |
| type |
string |
Ytterligare informationstyp. |
ErrorDetail
Felinformationen.
| Name | Typ | Description |
|---|---|---|
| additionalInfo |
Ytterligare information om felet. |
|
| code |
string |
Felkoden. |
| details |
Felinformationen. |
|
| message |
string |
Felmeddelandet. |
| target |
string |
Felmålet. |
ErrorResponse
Felsvar
| Name | Typ | Description |
|---|---|---|
| error |
Felobjektet. |
ProductGroupLinkCollection
Länklisterepresentation för paged Product-group.
| Name | Typ | Description |
|---|---|---|
| count |
integer (int64) |
Totalt antal poster på alla sidor. |
| nextLink |
string |
Om det finns någon länk till nästa sida. |
| value |
Sidvärden. |
ProductGroupLinkContract
Produktgruppslänkinformation.
| Name | Typ | Description |
|---|---|---|
| id |
string |
Fullständigt kvalificerat resurs-ID för resursen. Ex – /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
Namnet på resursen |
| properties.groupId |
string |
Fullständigt resurs-ID för en grupp. |
| type |
string |
Resurstypen. Till exempel "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts" |